• Bu site çerezler kullanır. Bu siteyi kullanmaya devam ederek çerez kullanımımızı kabul etmiş olursunuz. Daha fazla bilgi edin.

PHP Kullanmak İçin Neler Gerekli ?

Konuyu Okuyan Kişiler (0)

inforesim

webmaster.tc
Katılım
4 Ağu 2012
Mesajlar
2,439
Beğeniler
0
#1
PHP Kullanmak İçin Neler Gerekli ?
Bilgisayarınız ile Php uygulamaları geliştirmek için, Bazı programlara gereksinimiz vardır. Bunlar Web Server, PHP, Veritabanı, Metin Editörü ve Tarayıcıdır.

Metin editörü olarak, Windows da Notepad ve Mac da ise Textmate kullanabilirsiniz. Fakat bu eğitim sürecinde, Windows için daha gelişmiş bir metin editörü olan, Notepad++ kullanılacaktır.

Tarayıcı olarak da, Sistemiz de kurulu olan mevcut tarayıcıyı kullanabilirsiniz. Gene de, Bu eğitim sürecinde Tarayıcı olarak Firefox kullanılacaktır. Web Server programı olarak, Güçlü ve Esnek bir server olan Apache kullanılacaktır.

Php kodlarını yorumlamak için, PHP ve Veritabanı olarak da MYSQL kullanılacaktır. PHP bir betik dili ve MYSQL de bir SQL veri tabanı olduğu halde, Çoğunlukla isimleri birlikte anılır. Bunun sebebi, Bu ikilinin diğer Programlama dillerinin ikililerine oranla, Büyük performans farkı göstermeleridir.

Tüm bu uygulamaları teker teker kurmak yerine, Bunları bünyesinde barındıran programları kullanabilirsiniz.

İşte Wamp Server, Windows kurulu bir bilgisayarınıza apache, php, mysql ve phpMyadmin bileşenlerini tek tık ile Yüklemenize izin veren bir programdır.

Aynı şekilde, Linux işletim sistemleri için LAMP, Mac işletim sistemleri içinde MAMP kullanabilirsiniz.

Wamp Server'ın son sürümünü indirmek için bu adresi ziyaret edebilirsiniz.

[mp4]http://www.webmaster.tc/video/cizgi-tagem/01-03.mp4[/mp4]
 

yasarguner

webmaster.tc
Katılım
21 Mar 2013
Mesajlar
62
Beğeniler
0
#3
xammp kullanıyrum server olarak bakalım sorun yparsa dediginizi indirecegim..